/*------------------------------------------------------------------------------
  Copyright (c) 2008 Ensolis, LLC. All Rights Reserved.
  ----------------------------------------------------------------------------*/

/******************************************************************************
 * Interface for describing a profile item.  The component that
 * implements this interface should not be called directly, but instead
 * gotten from the profile service interface.
 * 
 * @status    FROZEN
 * @version   1.0
 ******************************************************************************/
function ProfileItem() 
{
  this._properties = {};
}
ProfileItem.prototype = {
  __proto__:  new ItemBase("ProfileItem"),
        
  ////////////////////////////////
  // ffIProfileItem
  
  /**
   * Name of the profile item.
   */
  get name() { return this.getProperty("name"); },

  /**
   * Sets a specific property for the profile item.
   * 
   * @param   Name of the property to set.
   * @param   The value to set.
   */
  setProperty: function ProfileItem_setProperty(aName, aValue)
  {
    //do not set excluded properties
    if (EXCLUDED_PREFS.hasOwnProperty(aName) &&
        EXCLUDED_PREFS[aName] == true)
      return;
       
    this._properties[aName] = aValue;
  } 
};